For the complete documentation index, see llms.txt. This page is also available as Markdown.

Disable auto-renewal

Disable auto-renewal for a subscription. Use this endpoint when disable auto-renewal for a subscription.

Disable auto-renewal

delete

Disable auto-renewal for a subscription.

Use this endpoint when disable auto-renewal for a subscription.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
subscriptionIdstringRequired

Subscription ID

Example: Cxy353Uhl1xC54pG6
Responses
200

Success response

application/json
idstringOptional

Subscription ID

Example: Azz36nUfKX1S1MSF
namestringOptionalExample: KVM 1
statusstring · enumOptionalExample: activePossible values:
billing_periodintegerOptionalExample: 1
billing_period_unitstringOptionalExample: day
currency_codestringOptionalExample: USD
total_priceintegerOptional

Total price in cents

Example: 1799
renewal_priceintegerOptional

Renewal price in cents

Example: 1799
is_auto_renewedbooleanOptionalExample: true
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
expires_atstring · date-time · nullableOptionalExample: 2025-03-27T11:54:22Z
next_billing_atstring · date-time · nullableOptionalExample: 2025-02-28T11:54:22Z
delete/api/billing/v1/subscriptions/{subscriptionId}/auto-renewal/disable
DELETE /api/billing/v1/subscriptions/{subscriptionId}/auto-renewal/disable HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "Azz36nUfKX1S1MSF",
  "name": "KVM 1",
  "status": "active",
  "billing_period": 1,
  "billing_period_unit": "day",
  "currency_code": "USD",
  "total_price": 1799,
  "renewal_price": 1799,
  "is_auto_renewed": true,
  "created_at": "2025-02-27T11:54:22Z",
  "expires_at": "2025-03-27T11:54:22Z",
  "next_billing_at": "2025-02-28T11:54:22Z"
}

Last updated

Was this helpful?